Method: projects.locations.firewallEndpointAssociations.create

Creates a new firewall endpoint association in a given project and location.

HTTP request

POST https://networksecurity.googleapis.com/v1beta1/{parent=projects/*/locations/*}/firewallEndpointAssociations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this firewall endpoint association is created. Format: projects/{project}/locations/{location}.

Query parameters

Parameters
firewallEndpointAssociationId

string

Optional. The ID to use for the firewall endpoint association, which becomes the final component of the association's resource name.

This value must be 1-63 characters long, start with a lowercase letter, contain only lowercase letters, numbers, and hyphens, and cannot end with a hyphen.

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server knows to ignore the request if it has already been completed. The server guarantees that for at least 60 minutes since the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if the original operation with the same request ID was received, and if so, ignores the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

Request body

The request body contains an instance of FirewallEndpointAssociation.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.